Skip to main content
POST
Stop a browser session
Stopping is idempotent and synchronizes saved browser state. Retry the same operation when a temporary upstream failure returns a recovery hint and request ID.

Authorizations

X-Api-Key
string
header
required

Client API key for the authenticated account.

Path Parameters

sessionId
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$

Response

Stopped browser session.

id
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
status
enum<string>
required
Available options:
running,
stopped,
timedOut,
failed
connectUrl
string | null
required
settings
object
required
runtime
object
required
createdAt
string
required
startedAt
string | null
required
expiresAt
string
required
endedAt
string | null
required
metadata
object